About contacts

Groove Contact Manager Tool

Contacts are the people you interact with. You can add contacts to your personal list in the Launchbar or to a Contact Manager tool in a workspace.

Note: This tool is no longer part of the standard Groove installation, and is not currently being updated.

What do you want to do?

  • Add new contacts

  • Delete contacts

  • Sending a contact to other people

  • Set contact alerts

  • Save a contact as a file

  • Create an alias for a contact

  • Authenticate contact identities

  • Resolve name conflicts

© 2006 Microsoft Corporation. All rights reserved.


Adding new contacts to your personal list

Adding new contacts

You can add the following types of contacts to your personal list of contacts in the Launchbar:

  • Groove contacts

  • Email contacts or contacts exported from other programs.

Adding Groove contacts

You can use search directories to find and add new contacts as described below.

  1. Click Add Contact - Groove Contact.

  2. Enter the name of the contact you want in the Find User box.

  3. Select a directory to search from the In: drop-down menu.

  4. Click Find.

    Groove searches for the name you entered in the selected directory.

  5. If Groove finds a match, select it in the list.

  6. To see more information about a select contact match, click Properties.

    For example, you might want to take steps to authenticate the contact's identity.

  7. Click OK to add the contact to the list.

Adding email contacts

You can start Groove activities with email contacts, but note the following limitations and differences:

  • Messages will get sent to the recipient's email address , and will not get delivered as a Groove message.

  • Workspace invitations will also get sent to the recipient's email address, and will require the recipient to download and install Groove before accepting. Once the recipient installs and starts up Groove, the invitation should automatically open on their desktop.

To add an email contact:

  1. Click Add Contact - Email Contact.

  2. Fill out fields in the VCard Edit dialog box.

    At minimum, you must enter a full name and a valid email address.

  3. Click OK.

Editing email contacts

Unlike Groove contacts, in which available contact information is governed by the person who owns the Groove account identity, you can edit the information in an email contact.

  1. Right-click the contact and select Edit.

  2. Update the fields in the Edit Contact dialog box and click OK.

Importing contacts

You can import contact files from other programs (for example, .vcf files from Microsoft Outlook) as well as exported Groove contacts (.vcg files) into your personal contact list or a Contact Manager tool. Note that contacts from other programs display and behave as email contacts.

Importing contacts to your personal list in the Launchbar

  1. Click Add Contact - Import.

  2. Select the contact file(s) you want in the Import Contact dialog box and click Open.

Contact Manager Tool Contents

© 2006 Microsoft Corporation. All rights reserved.


Deleting contacts

To delete a contact:

  1. Select the contact you want to delete.

  2. Press the Delete key and select Yes to confirm the deletion.

Contact Manager Tool Contents

© 2006 Microsoft Corporation. All rights reserved.


Sending someone else's contact to other people

Sending a contact to other people

You can send others' Groove contact details to other people as a file attachment in an email message or in a Groove message.

  1. Right-click the contact and select Send Contact via Email....

  2. Enter one or more email addresses in the To: field.

  3. If desired, edit the subject and text message.

    Note that the standard text message includes instructions for downloading Groove, if necessary.

  4. Click OK.

These contacts are saved in the email message in .vcf format and can usually be imported into the recipient's email client.

Contact Manager Tool Contents

© 2006 Microsoft Corporation. All rights reserved.


Setting contact alerts

You can set alerts for selected contacts such that Groove notifies you about online or idle status changes.

Setting alerts for a contact's online status

  1. Right-click the contact(s) you want and select Set Alerts.

    If you selected one contact, a Contact dialog box opens with the Alerts tab displayed. If you selected multiple contacts, an Alerts dialog box opens.

  2. Drag the slider to change the alert setting.

  3. Optional. If you changed the alert level to "High," select or browse for a .wav sound file to play with every alert.

    Tip:     Click the Play button to sample the sound of the selected .wav file.

  4. Click Apply to save your changes and leave the dialog box open, or click OK.

Contact Manager Tool Contents

© 2006 Microsoft Corporation. All rights reserved.


Saving someone else's contact as a file

Saving a contact as a file

You can save a contact as a file. You could then send the contact file as an attachment in an email.

  1. Right-click the contact and select Save Contact as File....

  2. In the Save Contact Info As... dialog box, select the location in which to save the contact file, and click Save.

Contact Manager Tool Contents

© 2006 Microsoft Corporation. All rights reserved.


Creating an alias for a contact

You can display any contact (other than your own) under an alias. This is useful if you're having trouble distinguishing between contacts who have the same name.

  1. Right-click the contact and select Alias Contact.

  2. Type an alias name and click OK.

    The alias name displays in place of the original name. To see the contact's original name you can open their contact information, or point at the alias name to display a pop-up window that shows the original name.

Contact Manager Tool Contents

© 2006 Microsoft Corporation. All rights reserved.


Manually authenticating contact identities with digital fingerprints

Authenticating contact identities

Groove automatically assigns a unique "digital fingerprint" to each identity. A digital fingerprint appears as a long, random looking string of letters and numbers (with punctuation marks for readability). These fingerprints are used for manually authenticating the real-world identities of Groove contacts you see in your workspaces and contact lists.

As a rule, ensuring the authentic identities of the people you use Groove with is strongly recommended so that you don't risk sharing sensitive information with unintended people.

Groove displays the authentication status of your Groove contacts in your contact lists and in the Workspace Members panel for any workspace. Names display in the following colors to indicate their authentication status:

  • Black: Not authenticated.

  • Green: Authenticated manually.

  • Teal: Authenticated by your organization.

  • Blue: Authenticated by your organization but outside your domain or cross-certified.

  • Red: Name conflict. If two contacts have similar names Groove displays them in red, regardless of their authentication status. See Resolving name conflicts for more information.

Manually authenticating a contact

To manually authenticate a contact, do the following:

  1. Right-click the contact you want to authenticate and select Authenticate Contact....

    Note:     You can only authenticate Groove contacts. You cannot authenticate email contacts.

  2. Follow the steps in the Authenticate dialog box and check Authenticate As: when you are confident the contact is who they claim to be.

  3. Optional. Change the contact name in the Authenticate As: text entry box.

    You might change a contact name in order to distinguish it from another contact with the same or similar name. Or, you might want to simply use a name that helps you to recognize the contact. Only you see custom names in this field.

  4. Click OK.

Note: If you do not want to be prompted to authenticate identities, select Turn off authentication prompt. Groove will display the Security Policies dialog box so you can modify security policies for your identity.

Contact Manager Tool Contents

© 2006 Microsoft Corporation. All rights reserved.


Resolving name conflicts

When two or more contacts have identical display names, their names display in red in contact lists, workspace member lists, and on their contact information cards. Groove considers display names identical if two (or more) names match exactly after removing leading, trailing, and multiple embedded spaces and converting the name to lowercase text.

For example, "Jane Doe" and "Jane Doe" will result in a name conflict. However, "Jane Doe" and "JaneDoe" will not result in a name conflict.

It's important to distinguish between contact names so you don't accidentally start Groove activities with the wrong contact. To do so, you can create an alias name for any of the conflicting contact names.

Additionally, in some rare cases, a name conflict may result from having obsolete contacts stored with your account. For example, perhaps a contact has activated a new Groove account, and has abandoned all activities in the previous one, but used the same display name for both. In this case, in addition to creating an alias name for the conflict, you can also hide the contact so that it no longer displays in any of your contact lists.

To resolve a name conflict, do the following:

  1. Right-click a name showing a conflict, and select Resolve Name Conflict.

    The Resolve Name Conflict dialog box opens and lists the conflicting names. When you select a name in the list, the Relationship window lists the Groove locations where the contact is found.

    Tip:     If the relationship for the selected contact is "In Workspace", you can check Show Workspace Names to display the name of each workspace in which the contact is a member.

  2. Click Resolve and select Alias.

  3. Enter a unique display name for the contact and click OK.

    The alias appears in the Resolve Name Conflict window.

  4. Click Done.

    The alias replaces the original contact display name in Groove.

Contact Manager Tool Contents

© 2006 Microsoft Corporation. All rights reserved.